curl --request POST \
--url https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"engagementId": 123,
"transcriptCreateUtterances": [
{
"endTimeMillis": 123,
"speaker": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"startTimeMillis": 123,
"text": "<string>",
"languageCode": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts"
payload = {
"engagementId": 123,
"transcriptCreateUtterances": [
{
"endTimeMillis": 123,
"speaker": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"startTimeMillis": 123,
"text": "<string>",
"languageCode": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
engagementId: 123,
transcriptCreateUtterances: [
{
endTimeMillis: 123,
speaker: {id: '<string>', name: '<string>', email: '<string>'},
startTimeMillis: 123,
text: '<string>',
languageCode: '<string>'
}
]
})
};
fetch('https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'engagementId' => 123,
'transcriptCreateUtterances' => [
[
'endTimeMillis' => 123,
'speaker' => [
'id' => '<string>',
'name' => '<string>',
'email' => '<string>'
],
'startTimeMillis' => 123,
'text' => '<string>',
'languageCode' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts"
payload := strings.NewReader("{\n \"engagementId\": 123,\n \"transcriptCreateUtterances\": [\n {\n \"endTimeMillis\": 123,\n \"speaker\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"startTimeMillis\": 123,\n \"text\": \"<string>\",\n \"languageCode\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"engagementId\": 123,\n \"transcriptCreateUtterances\": [\n {\n \"endTimeMillis\": 123,\n \"speaker\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"startTimeMillis\": 123,\n \"text\": \"<string>\",\n \"languageCode\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"engagementId\": 123,\n \"transcriptCreateUtterances\": [\n {\n \"endTimeMillis\": 123,\n \"speaker\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"startTimeMillis\": 123,\n \"text\": \"<string>\",\n \"languageCode\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create a transcript
Create a new transcript for a call in your HubSpot account. This endpoint allows you to submit the details of a call transcript, including engagement ID and utterances, to be stored and managed within HubSpot. This is useful for integrating call transcription data into your CRM workflows.
curl --request POST \
--url https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"engagementId": 123,
"transcriptCreateUtterances": [
{
"endTimeMillis": 123,
"speaker": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"startTimeMillis": 123,
"text": "<string>",
"languageCode": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts"
payload = {
"engagementId": 123,
"transcriptCreateUtterances": [
{
"endTimeMillis": 123,
"speaker": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"startTimeMillis": 123,
"text": "<string>",
"languageCode": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
engagementId: 123,
transcriptCreateUtterances: [
{
endTimeMillis: 123,
speaker: {id: '<string>', name: '<string>', email: '<string>'},
startTimeMillis: 123,
text: '<string>',
languageCode: '<string>'
}
]
})
};
fetch('https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'engagementId' => 123,
'transcriptCreateUtterances' => [
[
'endTimeMillis' => 123,
'speaker' => [
'id' => '<string>',
'name' => '<string>',
'email' => '<string>'
],
'startTimeMillis' => 123,
'text' => '<string>',
'languageCode' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts"
payload := strings.NewReader("{\n \"engagementId\": 123,\n \"transcriptCreateUtterances\": [\n {\n \"endTimeMillis\": 123,\n \"speaker\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"startTimeMillis\": 123,\n \"text\": \"<string>\",\n \"languageCode\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"engagementId\": 123,\n \"transcriptCreateUtterances\": [\n {\n \"endTimeMillis\": 123,\n \"speaker\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"startTimeMillis\": 123,\n \"text\": \"<string>\",\n \"languageCode\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/extensions/calling/2026-09/transcripts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"engagementId\": 123,\n \"transcriptCreateUtterances\": [\n {\n \"endTimeMillis\": 123,\n \"speaker\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"email\": \"<string>\"\n },\n \"startTimeMillis\": 123,\n \"text\": \"<string>\",\n \"languageCode\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
The unique identifier for the engagement associated with this transcript. It is an integer in int64 format.
An array of utterances that make up the transcript. Each utterance is represented by a TranscriptCreateUtterance object.
Show child attributes
Show child attributes
Response
successful operation
The unique identifier for the created transcript, represented as a string.
Was this page helpful?